Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create a new collection

Deprecated: Use the Collections V2 API. Creates a new collection with the specified title, slug, status, and optional parent. Returns the created collection with translations and redirects.

POST/api/v1/{team_slug}/{app_slug}/collectionsdeprecated
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
requiredapplication/json

Collection data

parent_idstring
slugstringrequired
statusstringrequired
Allowed:activeinactivedraft
titlestringrequired
Responses
200

Collection created successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Collectionrequired
Show properties
childrengithub_com_enadhq_nabbit_internal_pkg_webserver_models.Collection[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection
Circular reference to github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection.
created_atstring
idstring
parent_idstring | null
redirectsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
idstring
item_idstring | null
localestring
new_slugstring
old_slugstring
typegithub_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType
Allowed:productpagecollectioncategoryproduct_bundle
slugstringrequired
statusstringrequired
Allowed:activeinactivedraft
titlestring
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslation
Show properties
sluggithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
titlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
updated_atstring | null
uristring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
422

Invalid request and not parsable by backend

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v1/string/string/collections' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "parent_id": "string",
  "slug": "string",
  "status": "active",
  "title": "string"
}'
Response
{
  "data": {
    "children": [
      {}
    ],
    "created_at": "string",
    "id": "string",
    "parent_id": "string",
    "redirects": [
      {
        "id": "string",
        "item_id": "string",
        "locale": "string",
        "new_slug": "string",
        "old_slug": "string",
        "type": "product"
      }
    ],
    "slug": "string",
    "status": "active",
    "title": "string",
    "translations": {
      "slug": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "title": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string",
    "uri": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}